
package nlib.col.service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import nlib.restful.service.DataApiReqVO;
import nlib.restful.service.DataApiResVO;

public interface RentService
{
	
	/**
	 * 사용자의 대출건이 존재하는 문화원 정보 목록을 조회한다. 
	 * 
	 * @param mbInfoId
	 * @return
	 */
	public List<HashMap<String, String>> listRentMngOrg(String mbInfoId);
	
	/**
	 * 대출 목록 조회한다.
	 * 
	 * @param searchVO
	 * @return
	 */
	public DataApiResVO listRentItems(CollectionVO searchVO);
	

	/**
	 * 대출(예약)신청을 취소한다.
	 * 
	 * @param searchVO
	 * @return
	 */
	public DataApiResVO cancelRentItem(CollectionVO searchVO);
	
	/**
	 * 대출을 신청한다. 
	 * 
	 * @param list
	 * @param mbInfoId
	 * @param mngOrgCd
	 * @return
	 */
	public List<CollectionVO> insertRentItems(List<CollectionVO> list, String mbInfoId, String mngOrgCd, boolean fromCart) throws Exception;
	
	/**
	 * 사용자의 대출현황을 조회한다. 
	 * 
	 * @param mbInfoId
	 * @return
	 */
	public Map<String, String> getRentStats(String mbInfoId);
	
}